File: changelog

package info (click to toggle)
libcanberra 0.30-7
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 2,832 kB
  • sloc: sh: 11,606; ansic: 6,667; makefile: 471
file content (321 lines) | stat: -rw-r--r-- 12,017 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
libcanberra (0.30-7) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 10:35:49 -0500

libcanberra (0.30-6) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Mark libcanberra-doc as Multi-Arch: foreign

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Dec 2017 17:51:51 -0500

libcanberra (0.30-5) unstable; urgency=medium

  * gnome-session-canberra: Drop wrong manual dependency on libcanbera-gtk0
    It already depends on the correct libcanberra-gtk3-0
  * debian/control.in:
    - Drop obsolete Build-Depends on dpkg-dev >= 1.14.13 satisfied in Wheezy
    - Also drop obsolete Pre-Depends added for multiarch support
    - Have libcanberra0 depend on sound-theme-freedesktop since it is required
      by the freedesktop.org draft Sound Theme specification (LP: #790608)
  * Install GTK+ 3 module for unity-settings-daemon too
  * Add 03_onlyshowin_unity.patch: Play login sound in Unity too (if enabled)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Dec 2017 16:50:26 -0500

libcanberra (0.30-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * d/watch: Use format version 4
  * d/watch: Use @PACKAGE@ and @ANY_VERSION@ tokens

  [ Simon McVittie ]
  * Run gtkdocize to update build system (Closes: #876596)
  * Set Rules-Requires-Root: no
  * Switch from cdbs to dh
  * Move to debhelper compat level 10
    - Don't use dh-autoreconf explicitly, it is now the default
  * Standards-Version: 4.1.1 (no further changes required)
  * Give all packages distinct short descriptions
  * Enable PIE hardening

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Oct 2017 09:44:55 +0000

libcanberra (0.30-3) unstable; urgency=medium

  * Team upload.

  [ Emilio Pozuelo Monfort ]
  * debian/libcanberra0.symbols,
    debian/libcanberra0.symbols.hurd-i386:
    + Drop hurd-i386 symbols file, instead use arch tags to mark a couple of
      symbols as not available on hurd.

  [ Laurent Bigonville ]
  * debian/patches/gtk_dont_assume_x11.patch: Don't assume all GdkDisplays are
    GdkX11Displays, fixing crashes when running Wayland. (Closes: #820944)
  * debian/control, debian/compat: Bump debhelper compatibility to 9
  * debian/control: Bump Standards-Version to 3.9.7 (no furter changes)
  * Drop -dbg package and rely on automatically built -dbgsym ones
  * debian/rules: Pass --as-needed to the linked and to dh_autoreconf to
    reduce the number of runtime dependencies

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Apr 2016 22:36:46 +0100

libcanberra (0.30-2.1) unstable; urgency=medium

  [ Samuel Thibault ]
  * Non-maintainer upload.

  [ Jelmer Vernooij ]
  * Remove build-dependency on libtdb-dev on the Hurd, as tdb depends on
    byte range locking which is not available on the Hurd. Closes: #190367.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Aug 2014 22:17:15 +0200

libcanberra (0.30-2) unstable; urgency=low

  * debian/rules: Properly exclude dh_makeshlibs from generating shlibs files
    for 0.30 canberra modules
  * debian/control.in:
    - Bump Standards-Version to 3.9.4 (no further changes)
    - Use canonical VCS URL

 -- Laurent Bigonville <bigon@debian.org>  Thu, 30 May 2013 17:14:43 +0200

libcanberra (0.30-1) experimental; urgency=low

  * New upstream release
  * Gconf usage is dropped (remove b-d and schema install)
  * Ported to gstreamer 1.0

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 24 Mar 2013 10:35:17 +0100

libcanberra (0.28-6) unstable; urgency=low

  * libcanberra-gtk-common-dev breaks/replaces libcanberra-gtk-dev <<
    0.26. Closes: #694283.

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Nov 2012 16:07:47 +0100

libcanberra (0.28-5) unstable; urgency=low

  * debian/watch: Switch to .xz tarballs
  * Move canberra-gtk-play manpage from libcanberra-gtk0 to
    gnome-session-canberra to follow the executable (Closes: #684676)
  * Fix libcanberra-gstreamer-dbg long description (Closes: #675693)
  * debian/rules: Drop update-patch-series target, this was when the package
    was maintained in git.
  * Call dh_autoreconf during build to update m4/libtool.m4 and prevent
    hurd-i386 to be built with rpath (Closes: #677343)
  * debian/patches/undefined_reference.diff: Also link the GTK2 flavour
    against libX11 and the modules against libgmodule-2.0

 -- Laurent Bigonville <bigon@debian.org>  Sun, 23 Sep 2012 01:38:26 +0200

libcanberra (0.28-4) unstable; urgency=low

  * Build for multiarch. Thanks to Steve Langasek (Closes: #653678)
  * libcanberra-gtk-module and libcanberra-gtk3-module need hard-coded
    versioned dependencies on the minimum versions of gtk2/gtk3 that support
    lookups in the multiarch path.
  * Move canberra-gtk-play from libcanberra-gtk0 to gnome-session-canberra,
    since the latter is the only package which uses it; and make
    gnome-session-canberra Architecture: any.
  * Put under the GNOME team maintenance with Marc-Andre approval
  * debian/control.in: Bump Standards-Version to 3.9.3 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 03 Apr 2012 18:08:26 +0200

libcanberra (0.28-3) unstable; urgency=low

  * Team Upload
  * Rely on gnome-settings-daemon to load GTK module instead of Xsession.
    (Closes: #622992, #573757)
  * debian/control:
    - Add Add Homepage field
    - Bump Standards-Version to 3.9.2 (no further changes)
    - Correctly capitalized GTK+ (Closes: #612018)
    - Add libgconf2-dev to build-dependencies
    - Move gnome-session-canberra to Section: gnome
  * debian/rules:
    - Includes gnome.mk instead of autotools.mk to be sure dh_gconf is called

 -- Laurent Bigonville <bigon@debian.org>  Tue, 18 Oct 2011 10:39:46 +0200

libcanberra (0.28-2) unstable; urgency=low

  * Build-Depends: libtdb-dev.  Fixed FTBFS.  Closes: #637977.
  * debian/patches/undefined_reference.diff: Fixed FTBFS.  Closes: #555081.
  * Added manpage debian/canberra-gtk-play.1.  Closes: #591353.
  * debian/control: Now use [linux-any].  Closes: #634663.
  * Fixed description-synopsis-starts-with-article.

 -- Bart Martens <bartm@debian.org>  Sun, 09 Oct 2011 13:38:25 +0200

libcanberra (0.28-1) unstable; urgency=low

  * New upstream release
  * d/p/0001-Don-t-use-gtk_quit_add-it-has-been-removed-from-gtk3.patch
    + Removed. merged upstream
  * debian/libcanberra0.lintian-overrides
    Add override for a false-positive of libcanberra embedding ltdl. It only
    embeds the error strings for some of its own utility functions, not the
    library itself

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 06 Jun 2011 20:57:14 -0700

libcanberra (0.26-3) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Update for the new gtk+ 3 package names.

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 19 Feb 2011 13:58:18 +0000

libcanberra (0.26-2) experimental; urgency=low

  * Build against even newer gtk 3.0
  * d/p/0001-Don-t-use-gtk_quit_add-it-has-been-removed-from-gtk3.patch:
    Avoid using gtk_quit_add, it's no longer available in gtk3
  * Switch to the 3.0 (quilt) source format

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 12 Jan 2011 23:38:11 +0000

libcanberra (0.26-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - Add gtk3.0 support
  * Split header and vapi used for both gtk2 and gtk3 into
    libcanberra-gtk-common-dev
  * Various cleanups and updates based on the Ubuntu packaging
  * debian/control: Update standards version, 3.9.1
  * Remove the quilt build-dep, we're not applying any patches

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 20 Nov 2010 11:39:25 +0100

libcanberra (0.24-1) unstable; urgency=low

  * New upstream version:
    + debian/control:
      - Update GTK build dependency to >= 2.20.
  * debian/control:
    + Update Standards-Version to 3.8.4.
  * debian/rules:
    + Fix shlibs file by excluding the alsa module (Closes: #560120).
  * debian/libcanberra-dev.install,
    debian/libcanberra-gtk-dev.install:
    + Ship Vala bindings with the -dev packages (Closes: #556249).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 06 May 2010 19:52:17 +0200

libcanberra (0.22-1) unstable; urgency=low

  [ Marc-André Lureau ]
  * New Upstream Version
  * debian/control:
    - updated libtool dependency to 2.2
  * debian/rules:
    - comment patchsys-quilt usage to please lintian.

  [ Sjoerd Simons ]
  * debian/libcanberra0.install: Tweak the default module wildcard so it
    matches both -oss and -alsa
  * Uses gdk_threads_add_idle_full instead of g_idle_full for thread-safety
    (Closes: #534161)
  * Explicitely disable oss on linux and enable it on other platforms

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 25 Oct 2009 15:57:25 +0000

libcanberra (0.18) unstable; urgency=low

  * New Upstream Version
  * libcanberra0.symbols updated.
  * Packaged the gstreamer backend. Closes: #536535
  * Fix the libcanberra-pulse section. Closes: #545759
  * Added some *-dbg packages.

 -- Marc-André Lureau <marcandre.lureau@gmail.com>  Sat, 12 Sep 2009 01:24:03 +0200

libcanberra (0.12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on GNU/kFreeBSD, based on a patch by Aurélien Jarno
    (Closes: #528552):
     - Tweak DEB_CONFIGURE_EXTRA_FLAGS so as to use --enable-alsa on Linux
       only, and --disable-alsa elsewhere (using DEB_HOST_ARCH_OS).
     - Use debian/libcanberra0.install.kfreebsd to install files on
       kfreebsd-* (alsa is replaced by oss).
  * Not bumping the versioned Build-Depends on debhelper to the first
    version having introduced support for .install.$os for the following
    reasons:
     - It is only needed on kfreebsd-*, which only have unstable and
       testing, and their chroots are uptodate.
     - It might make it harder to backport the package for no reasons.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 17 Aug 2009 00:01:06 +0200

libcanberra (0.12-1) unstable; urgency=low

  * New Upstream Version
  * debian/patches/0001-bootstrap-fix-required-automake-version.patch
    + Dropped, fixed upstream
  * debian/patches/0002-map-Don-t-export-libtool-symbols.patch
    + Dropped, fixed upstream
  * Packaged the pulseaudio backend

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 24 May 2009 18:22:29 +0100

libcanberra (0.11-1) unstable; urgency=low

  [ Marc-Andre Lureau ]
  * New Upstream Version
  * libcanberra0.install:
    + modules are now installed under /usr/lib/libcanberra-0.11
  * Do not ship static libraries in *-dev anymore.
  * Move "canberra-gtk-play" from libcanberra-gtk-dev to libcanberra-gtk0.
  * Add gnome-session-canberra to play log in/out events.
  * Add 52libcanberra-gtk-module_add-to-gtk-modules to /etc/X11/Xsession.d
    to load the GTK module.
  * Add tdb-dev dependency (for themed file lookup caching)

  [ Sjoerd Simons ]
  * build-depend on libltdl-dev | libltdl3-dev (>= 1.5.24) (Closes: #522964)
  * Update copyright file
  * Wrap build-depends
  * Put dbg packages in the debug section
  * Update standards to 3.8.1, no further changes
  * Add ${misc:Depends}, ${shlibs:Depends} to gnome-session-canberra
  * exclude /usr/lib/libcanberra-0.11 when making shlibs files

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 11 Apr 2009 14:16:05 +0100

libcanberra (0.4-1) unstable; urgency=low

  [ Marc-Andre Lureau ]
  * New Upstream Version
  * Include "canberra-gtk-play" in libcanberra-gtk-dev.
  * Remove patches and quilt dependency (all patches are now upstream).

  [ Sebastian Dröge ]
  * Update shlibs versions for the new symbols.
  * Add ${shlibs:Depends} to the -dev packages.
  * Fix symbol files.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 27 Jul 2008 11:51:31 +0200

libcanberra (0.3-1) unstable; urgency=low

  * Initial Debian release. (Closes: #485652)
  * New Upstream Version

 -- Marc-Andre Lureau <marcandre.lureau@gmail.com>  Sun, 15 Jun 2008 21:33:00 +0300